.category-div { display: flex; }
.category-sidebar {
    display:block;
    width: 180px;
    flex-shrink: 0;
}
.category-menu ul { padding-left: 1.2em; }
.category-menu ul li { margin-top: 15px; }
.category-menu ul a {
    display: block;
    color: #333;
    font-weight: 400
}
.category-menu ul a.active {
    border-left-color: #FE8A7D;
    border-left-style: solid;
    border-left-width: 3px;
    padding-left: 10px;
    color: #FE8A7D;
}
.category-menu ul a:hover {
    color: #FE8A7D;
}
.category-content {
    width: 980px;
    position: relative;
    flex-grow: 1;
    margin-left: 2.5rem;
}
article { border-bottom: 1px solid #f0f0f0; }
.blog-time { font-size: 0.9rem; }
.blog-item-body { align-items: center; }
.blog-list-title {
    height: 65px;
    line-height: 2rem;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.blog-item-image img { border-radius: 10px; }

@media screen and (max-width: 768px){
    .category-sidebar {
        position: fixed;
        left: -100vw;
        top: 70px;
        z-index: 3;
        height: calc(100vh - 70px);
        width: 100vw;
        overflow-x: hidden;
        overflow-y: auto;
        background: #fafbfe;
        transition: left 0.5s ease;
    }
    .category-sidebar.show {
        left: 0;
    }
    .category-menu { padding: 1rem; }
    .category-menu ul { margin-left: 0; }
    .category-menu ul li { width: 45%; display: inline-block; margin-left: 10px; }
    .category-content { margin-left: 0; }
}
